### Function Macro

# GLib GNUC_FORMAT

#### Declaration

    #define G_GNUC_FORMAT (
      arg_idx
    )

#### Description

Expands to the GNU C `format_arg` function attribute if the compiler is gcc. This function attribute specifies that a function takes a format string for a `printf()`, `scanf()`, `strftime()` or `strfmon()` style function and modifies it, so that the result can be passed to a `printf()`, `scanf()`, `strftime()` or `strfmon()` style function (with the remaining arguments to the format function the same as they would have been for the unmodified string).

Place the attribute after the function declaration, just before the semicolon.

See the GNU C documentation for more details.

    gchar *g_dgettext (gchar *domain_name, gchar *msgid) G_GNUC_FORMAT (2);

This function is not directly available to language bindings.

#### Parameters

`arg_idx`

  Type: `-`

  The index of the argument.